Merchants API

Endpoints para merchants

Lista de merchants

GET /internal/admin/merchants

Retorna una lista de usuarios.

Parameters

Name Description
per_page Cantidad de recursos por pagina
page Pagina
column Columna por la cual ordenar opciones: username y created_at
order_column ASC o DESC
username String para buscar usuarios coincidentes
level Nivel de KYC, opciones: financial, commercial

Request

Headers

Content-Type: application/json
Authorization: Bearer <token>
Host: example.org
Cookie: 

Route

GET /internal/admin/merchants

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
ETag: W/"7d1db08cb4aca1878389e8725681b5e9"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 30582ac8-67bb-49b0-9e19-d71202bc99c7
X-Runtime: 0.046473
Vary: Origin
Content-Length: 1925

Status

200 OK

Body

{
  "data": [
    {
      "id": 5000,
      "username": "merchant@kriptonmarket.com",
      "created_at": "2023-03-30T00:50:28.064Z",
      "fiscal_information": {
        "id": 1,
        "description": "Merchant Kriptonmarket",
        "commercial_name": "Kriptonmarket",
        "legal_name": "Kriptonmarket",
        "document_type": "cuit",
        "document_number": "123456789",
        "iva_condition": "1",
        "user_id": 5000,
        "user_type": "User",
        "created_at": "2023-03-30T00:50:28.115Z",
        "updated_at": "2023-03-30T00:50:28.115Z",
        "state": "pending"
      },
      "digital_documents": [

      ]
    },
    {
      "id": 10038,
      "username": "test@beexo.com",
      "created_at": "2023-03-30T00:51:08.679Z",
      "fiscal_information": {
        "id": 6,
        "description": "Multi-layered modular help-desk",
        "commercial_name": "Dooley, Frami and Morar",
        "legal_name": "Rice-Baumbach",
        "document_type": "cuit",
        "document_number": "39-0699923",
        "iva_condition": "enrolled",
        "user_id": 10038,
        "user_type": "User",
        "created_at": "2023-03-30T00:51:08.711Z",
        "updated_at": "2023-03-30T00:51:08.711Z",
        "state": "pending"
      },
      "digital_documents": [

      ]
    },
    {
      "id": 10039,
      "username": "test@xcapit.com",
      "created_at": "2023-03-30T00:51:08.982Z",
      "fiscal_information": {
        "id": 7,
        "description": "Customizable radical parallelism",
        "commercial_name": "McLaughlin, Rau and Reynolds",
        "legal_name": "Becker-Donnelly",
        "document_type": "cuit",
        "document_number": "26-4826866",
        "iva_condition": "enrolled",
        "user_id": 10039,
        "user_type": "User",
        "created_at": "2023-03-30T00:51:08.992Z",
        "updated_at": "2023-03-30T00:51:08.992Z",
        "state": "pending"
      },
      "digital_documents": [

      ]
    },
    {
      "id": 10040,
      "username": "test@test.com",
      "created_at": "2023-03-30T00:51:09.275Z",
      "fiscal_information": {
        "id": 8,
        "description": "Optional composite policy",
        "commercial_name": "Borer LLC",
        "legal_name": "Bayer Inc",
        "document_type": "cuit",
        "document_number": "37-6535061",
        "iva_condition": "final_consumer",
        "user_id": 10040,
        "user_type": "User",
        "created_at": "2023-03-30T00:51:09.293Z",
        "updated_at": "2023-03-30T00:51:09.293Z",
        "state": "pending"
      },
      "digital_documents": [

      ]
    }
  ],
  "current_page": 1,
  "per_page": 25,
  "total_pages": 1,
  "total_elements": 4
}